# qbittorrent-downloader
Downloads completed torrents from remote QBittorrent WebUI instance to configurable locations based on category

## Setup
Create a config.conf file as below, filling in the details

```
[API]
api_url = API_URL_WITHOUT_HTTPS_PREFIX
api_user = USERNAME
api_pass = PASSWORD
ssh_url = SSH_URL_FOR_QBITTORRENT_MACHINE_NO_USERNAME

[CATEGORIES]
category1 = WHERE_YOU_WANT_TORRENTS_WITH_CATEGORY_CATEGORY1_ON_MACHINE
category2 = WHERE_YOU_WANT_TORRENTS_WITH_CATEGORY_CATEGORY2_ON_MACHINE
```

## Requirements
`scp` must be installed on the computer running this. This script simply creates a session with the API, queries the torrent list, scp's completed torrents over to local directories specified in CATEGORIES of config.conf, deletes the torrent, and logs out. There is no looping behavior so run this with a cronjob periodically. Also, the machine running this must have its cert on the remote server, i.e. `ssh-copy-id` was run. This program depends on noninteractive scp'ing.